youtube se ve acelerado despues de actualizar(solucionado)

Spanish Forum

Moderators: tomeu, JCSenar

Post Reply
alfredcaballero
Level 1
Level 1
Posts: 2
Joined: Fri Nov 25, 2016 10:55 pm

youtube se ve acelerado despues de actualizar(solucionado)

Post by alfredcaballero »

Hola es la primera vez que posteo, generalmente puedo encontrar soluciones a mis problemas sin preguntar, solo buscando, pero esta vez no doy con el problema, les comento:
Tengo linux mint 17.1

Image

y hace unos dias actualize el sistema , como siempre hago, desde el gestor de actualizaciones, el problema es que ahora los videos en youtube se ven acelerados y sin sonido, no entiendo cual es el problema, o que hice mal... ademas no puedo mirar video por streaming ni en facebook ni en vorterix.com, me aprece este aviso:

Image

si me pueden orientar voy a estar muy agradecido

listado de las ultimas actualizaciones:

Image

Image

Image

Image
Last edited by alfredcaballero on Sat Nov 26, 2016 2:41 pm, edited 1 time in total.

User avatar
JCSenar
Level 10
Level 10
Posts: 3364
Joined: Sat Sep 06, 2014 6:26 pm
Location: Irun, España
Contact:

Re: youtube se ve acelerado despues de actualizar

Post by JCSenar »

Hola alfredcaballero:

He editado tu post. Si subes imágenes a un servidor (como en este caso) utiliza la etiqueta [rimg] para poder verse bien. :wink:
Image
Si tu consulta ha sido resuelta, por favor, edita tu primer mensaje y añade [SOLUCIONADO] al título. Gracias.

User avatar
JCSenar
Level 10
Level 10
Posts: 3364
Joined: Sat Sep 06, 2014 6:26 pm
Location: Irun, España
Contact:

Re: youtube se ve acelerado despues de actualizar

Post by JCSenar »

En los comentarios finales de este tema, se menciona que la solución pasa por cambiar en los ajustes del sistema la configuración de salida de audio de HDMI a Audio interno Estéreo analógico. Lo he comprobado en mi equipo y, efectivamente, pasa lo mismo y se soluciona con el cambio. La salida HDMI del audio ha de estar activada cuando queramos que el sonido salga por el segundo monitor/TV (hemos aprendido algo nuevo :D ):
Pantallazo-Preferencias de sonido.png
Image
Si tu consulta ha sido resuelta, por favor, edita tu primer mensaje y añade [SOLUCIONADO] al título. Gracias.

User avatar
JOPETA
Level 16
Level 16
Posts: 6411
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Re: youtube se ve acelerado despues de actualizar

Post by JOPETA »

Además de lo sugerido por JCSenar, si el problema persiste comprueba que en Preferencias de Firefox tienes activados los DRM
DRM.png
y actualizados todos los plugins en Complementos (claro está menos el de Adobe flash que no se puede, así que omite la advertencia).

Sobre el error Image He leído en el foro principal que se debe a la versión que suministra Ubuntu de libavcodec está desfasada pero creo que es más una advertencia que un problema.

En mi caso los vídeo de las páginas que me lanzan este error se ven. La supuesta solución (es decir escribir en la barra de direcciones de ff about:config>localizar la linea config - media.libavcodec.allow-obsolete y cambiar de false a true haciendo clic sobre ella) lo único que consigo es que deje de verse la advertencia ya que los videoo siguen reproduciéndose. En cambio a otros en el chat #linuxmint-es, http://www.imdb.com/ no les permitía la reproducción de vídeos y la "solución" si les funcionó.

La solución real que acabaría con esta advertencia pasa por que Ubuntu actualice esta librería así que a esperar. :roll:

Noto que has realizado actualizaciones de niveles 4 o 5, ten cuidado con esto y, si no lo haces a propósito desactívalas, en Gestor de Actualizaciones>Editar>Preferencias>Niveles. Si lo hiciste por error puedes evitarlos en un futuro en Opciones, desactivando mostrar siempre las actualizaciones de seguridad
n ver actulizaciones.png
Así no aparecerán las de los niveles no activados y evitarás seleccionarlas por accidente.
sin ver.png
Editado: Corrijo que con "la supuesta solución" no dejan de verse los vídeos en la página.Debí dejar algún script bloqueado. :oops:
Last edited by JOPETA on Mon Nov 28, 2016 2:39 pm, edited 2 times in total.

alfredcaballero
Level 1
Level 1
Posts: 2
Joined: Fri Nov 25, 2016 10:55 pm

Re: youtube se ve acelerado despues de actualizar

Post by alfredcaballero »

Muchas gracias JOPETA y JCSenar, pude solucionar lo de youtube cambiando la configuracion de audio, era muy simple pero no podia dar con la respuesta, voy a tener cuidado con las actualizaciones nivel 4 y 5 algunas veces leo de que se tratan y otras no lo hago o supera mis conocimientos, pero voy a ser mas precavido, los DRM en firefox estan activados y los plugins actualizados, algunas paginas siguen sin mostrarme video ...supongo que esperare a que se actualice la libreria...gracias y saludos

User avatar
JOPETA
Level 16
Level 16
Posts: 6411
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Re: youtube se ve acelerado despues de actualizar(solucionado)

Post by JOPETA »

¿Has probado la solución propuesta que como digo a otros si le has dado resultado (en mi caso a pesar de la advertencia no era necesario)?
about.png
Last edited by JOPETA on Mon Nov 28, 2016 3:47 am, edited 1 time in total.
Ni cola de león ni cabeza de ratón, prefiero ser diente de ajo.(Javier Krahe)

User avatar
JCSenar
Level 10
Level 10
Posts: 3364
Joined: Sat Sep 06, 2014 6:26 pm
Location: Irun, España
Contact:

Re: youtube se ve acelerado despues de actualizar(solucionado)

Post by JCSenar »

En mi equipo principal con Firefox v50 vorterix.com no se ve (mismo mensaje de error) pero haciendo el cambio en about:config > media.libavcodec.allow-obsolete > true, reiniciando el navegador, se corrige el problema y funciona :D.

Por otra parte, en una máquina virtual de Mint 17 (con Firefox v49, sistema pendiente de actualizar) sin hacer nada, vorterix.com se ve bien :shock:. En Firefox 49 no existe la opción about:config > media.libavcodec.allow-obsolete, luego el problema viene de la última versión de Firefox.

En todos los casos con Preferencias > Contenido > DRM desactivado (configuración por defecto).

Si Firefox da problemas a alguien, comentar que en Mint 17, Chromium (v53) funciona bien con vorterix.com.
Image
Si tu consulta ha sido resuelta, por favor, edita tu primer mensaje y añade [SOLUCIONADO] al título. Gracias.

User avatar
JOPETA
Level 16
Level 16
Posts: 6411
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Re: youtube se ve acelerado despues de actualizar(solucionado)

Post by JOPETA »

He comprobado lo que dices respecto la página vorterix.com y a mi también me impide la reproducción de contenidos
vortex sin obsoletos.png
debiendo permitir el uso de codecs obsoletos para ello.
vortex con obsoletos.png
Como decía esta advertencia en la página de imbd.com no impide la reproducción de contenidos, aunque tal vez lo haga con algún vídeo en particular.
imdb sin obsoletos.png
Si autorizo la reproducción de codec obsoletos, en cualquier caso la advertencia desaparece y pese a lo dicho antes (es posible que el bloqueo de algún script me jugara una mala pasada) también sigue permitiendo la reproducción.
Last edited by JOPETA on Mon Nov 28, 2016 3:50 am, edited 2 times in total.

User avatar
JOPETA
Level 16
Level 16
Posts: 6411
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Actualizar libavcodec a la versión compatible con Firefox 50

Post by JOPETA »

El problema de fondo es saber si la advertenciaImage es decir, libavcodec puede ser vulnerable o no está soportada y debe ser actualizada para la reproducir de video de Firefox es cierta por constituir una problema de seguridad o se debe a la simple detección del uso de codec obsoletos por parte del sistema y su bloqueo por parte de Firefox. Si lo fuera autorizar estos codecs obsoletos como se ha indicado en post anteriores es igualmente peligrosa o más.

Una posible solución provisional en espera de la actualización por parte de Ubuntu (dicen que llevan meses así) ponga fín a este problema y acabe con la advertencia/riesgo, menos arriesgada (quien sabe) es recurrir a una ppa que contenga la librería requerida por firefox 50 (la versión 56 de libvacodec) y actualizar el paquete libavcodec como indican en algún hilo de Ubuntu como en la respuesta #9 de este.

He de decir que este campo el de los codec es para mi un absoluto desconocido y no niego que instalar codec desde un origen no oficial pueda resultar igualmente arriesgado (sobre todo viendo las fechas la versión 54 que es la problemática es del 2014 y la encontradas en otros repositorios para la versión 56 no deja de tener más de un año). He leido también que la versión 56 incluso alguno posterior (57 por ejemplo) forma parte de ffmpeg (en este caso la ppa a instalar sería ppa:mc3man/trusty-media) . Quien lo tuviera instalado podría informar si el tiene estos problemas u otros con estas páginas.

Por lo menos aprovecho este post para mostrar como eludir los problemas al seguir instrucciones para Ubuntu. Así no he procedido a instalar directamente las librerías mencionadas como sugieren allí ya que dichas librerías forma al forma parte del paquete libav. Ubuntu trusty incluye la versión 9 de este paquete mientras que la proporcionada por la ppa es la 11 y podría generar problemas de dependencias incumplidas, cosa que en Ubuntu solucionan con upgrade y dist-upgrade instalando con ello las versiones más actuales de todo que solucionaría este problema de dependencias con otras aplicaiones wue pudieran usas estos paquetes.
sudo add-apt-repository ppa:heyarje/libav-11 >>desconoces los paquetes que te proporciona el repositorio si no visitas la página del desarrollador, y ves además libav 11 es del 2015!!!
sudo apt-get update
sudo apt-get install libav-tools libavcodec56 libavcodec-extra-56 >>Posibles problemas de dependecias y paquetes rotos
sudo apt-get upgrade >>mala idea siempre actualizar todo lo instalado en Mint
sudo apt-get dist-upgrade >>lo peor de todo en caso de tener otras PPAs repositorios adiciones cagada
Hice en su lugar lo siguiente:
  • 1)He añadido la ppa al más puro "estilo Mint" desde Orígenes del Software>PPAs>Añadir ppa:heyarje/libav-11 y actualizar la Caché,
    • añadir ppa.png
    aunque bien podría haberlo hecho desde la terminal con
    • Code: Select all

      sudo add-apt-repository ppa:heyarje/libav-11
      sudo apt-get update
    2)Evito instalar los paquetes sugeridos por lo comentado respecto al a las dependencias y también evito el upgrade y dist-upgtrade indicado en el hilo (por sana rutina y ya que entre otras cosas desconozco los paquetes proporcionados por ese ppa, no recuerdo el estado mis otras ppa ahora,...) y recurro al Gestor de Actualizaciones (clic en el escudo del panel)>Refrescar. Entonces aparece el paquete libva listo para instalar(ninguno más)> e instalo con clic en Instalar Actualizaciones.

    3) Compruebo que esto funciona, es decir las advertencias de las páginas mencionadas con la autorización de usar librerías obsoletas desactiva ha desaparecido y los vídeos son reproducidos sin problemas.

    4) Quito la anterior ppa en Orígenes de Software para evitar problemas posteriores por sustitución de librerías de sistema.
    • eliminar ppa.png
Cuando la actualización de Ubuntu llegue al ser preferida por el sistema reemplazará este paquete y no tendré que preocuparme por otras sustituciones de paquetes del sistema. Mientras tanto mantengo en observación la reproducción de vídeos en internet por si detecto problemas deshacer los cambios. :?
Last edited by JOPETA on Mon Nov 28, 2016 3:56 am, edited 4 times in total.
Ni cola de león ni cabeza de ratón, prefiero ser diente de ajo.(Javier Krahe)

User avatar
JCSenar
Level 10
Level 10
Posts: 3364
Joined: Sat Sep 06, 2014 6:26 pm
Location: Irun, España
Contact:

Re: youtube se ve acelerado despues de actualizar(solucionado)

Post by JCSenar »

No me funciona:

Antes de modificar mi sistema principal pruebo estas cosas en máquinas virtuales. En la máquina esa con Mint 17 he actualizado completamente el sistema (Firefox v50 incluido) y ya no puedo ver vorterix.com (mensaje de error sobre libavcodec). He añadido la PPA, he actualizado los repositorios, he recargado el Gestor de actualizaciones y.... no me ofrece nada :shock: :
Pantallazo.jpg
EDITO: Este tema debería separarse del primero (vídeos acelerados). Tengo la posibilidad de hacerlo pero no se cómo se hace. ¿Alguien me puede orientar?

EDITO 2: Creo que es con esta opción. ¿Algúna opinión?
Pantallazo-1.jpg
Image
Si tu consulta ha sido resuelta, por favor, edita tu primer mensaje y añade [SOLUCIONADO] al título. Gracias.

User avatar
JOPETA
Level 16
Level 16
Posts: 6411
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Re: youtube se ve acelerado despues de actualizar(solucionado)

Post by JOPETA »

Tiene pinta de ser esa opción pero si quieres si quieres abro un nuevo hilo con ese contenido y luego borramos los post. (a la antigua). Respecto a que no te ofrece nada quizás olvidaste Actualizar la caché después de instala la ppa. Lo reproduciré en otro sistema a ver que ocurre. Si no es así recurre a los códigos no tan malos

Code: Select all

sudo add-apt-repository ppa:heyarje/libav-11 
sudo apt-get update
sudo apt-get install libav-tools libavcodec56 libavcodec-extra-56
Ni cola de león ni cabeza de ratón, prefiero ser diente de ajo.(Javier Krahe)

User avatar
JCSenar
Level 10
Level 10
Posts: 3364
Joined: Sat Sep 06, 2014 6:26 pm
Location: Irun, España
Contact:

Re: youtube se ve acelerado despues de actualizar(solucionado)

Post by JCSenar »

JOPETA wrote:Tiene pinta de ser esa opción pero si quieres si quieres abro un nuevo hilo con ese contenido y luego borramos los post. (a la antigua).
De acuerdo.

Lo otro, sigo haciendo pruebas...
Image
Si tu consulta ha sido resuelta, por favor, edita tu primer mensaje y añade [SOLUCIONADO] al título. Gracias.

User avatar
JCSenar
Level 10
Level 10
Posts: 3364
Joined: Sat Sep 06, 2014 6:26 pm
Location: Irun, España
Contact:

Re: youtube se ve acelerado despues de actualizar(solucionado)

Post by JCSenar »

JOPETA wrote:Si no es así recurre a los códigos no tan malos

Code: Select all

sudo add-apt-repository ppa:heyarje/libav-11 
sudo apt-get update
sudo apt-get install libav-tools libavcodec56 libavcodec-extra-56
Algún problema hay. He conseguido que los paquetes aparezcan disponibles en Synaptic haciendo en Orígenes del Software > Actualizar caché (haciendo sudo apt-get update -lo que hice la primera vez- no aparecen :shock:)

De cualquier forma, aunque ahora aparecen disponibles, al intentar instalar los paquetes el resultado es este (y el Gestor de Actualizaciones sigue sin ofrecer nada...):
PPA1.jpg
Si lo intento por Synaptic, se me convierten en "rotos" nada más marcarlos para instalar (sin instalarlos):
PPA4.jpg
(Este sistema -Mint 17- no tiene nada que pueda interferir. Instalado y actualizado. Sin más.)
Image
Si tu consulta ha sido resuelta, por favor, edita tu primer mensaje y añade [SOLUCIONADO] al título. Gracias.

User avatar
JCSenar
Level 10
Level 10
Posts: 3364
Joined: Sat Sep 06, 2014 6:26 pm
Location: Irun, España
Contact:

Re: youtube se ve acelerado despues de actualizar(solucionado)

Post by JCSenar »

Code: Select all

sudo apt-get install libavcodec56
Aunque, como he dicho antes, he tenido que hacer Orígenes del Software > Actualizar caché, me funciona si solo instalo ese paquete (que, a su vez, instala otros dos. Por lo visto libav-tools y libavcodec-extra-56 generan conflicto):
PPA5.jpg
Reiniciar Firefox y ya funciona.
Image
Si tu consulta ha sido resuelta, por favor, edita tu primer mensaje y añade [SOLUCIONADO] al título. Gracias.

User avatar
JOPETA
Level 16
Level 16
Posts: 6411
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Re: youtube se ve acelerado despues de actualizar(solucionado)

Post by JOPETA »

Perdona JCsenar hasta el final no he reproducido tu mismo error en una de mis instalaciones (la que no tiene KDE). Jugando un poco en Synaptic antes de instalar compruebo que marcando libav-tools se marca también libavcodec56, quizás por tener activada la opción de considerar paquetes recomendados como dependencias. Marcando libavcode-extra-56 se desmarca libavcodec56 por lo que deben ser incompatibles entre sí. Marcando de nuevo libavcodec56 entonces suceden los paquetes rotos (ambos). Como solo se precisa libavcodec56 los demás están de más. A falta de comprobar que ocurre en una instalación de sólo Cinnamon he pasado el post modificado a un nuevo tema.

Respecto a la actulización de libav, si que aparece en mi otra instalación con KDE( la de prueba inicial fué la del multiescritorio),
mintupdate libav.png
los paquetes mencionados que se actualizan incluye además de libavcodec56 y libavformat56 además de otros paquetes de versiones anteriores.
mintupdate libav1.png
El total de librerias que se instalan proceden tanto del repositorio now como del trusty y en ningún caso incluye libavcodec-extra-56 por defecto, que debe ser incompatible con libavcodec56.
librerias de la ppa.png
Cuando quieras procedemos al copia pega allí y a eliminar aquí. Gracias :D

Post Reply

Return to “Español (Spanish)”